package org.fmi.bdi.helpers;

/**
 * @author IvoJekov
 *
 * This class is registered to JAXB as a converter for the decimal
 * datatype. The default DataTypeConverter.class does not preserve
 * scaling.  
 */
import java.math.BigDecimal;

public class AmountConverter
{

	/**
	 * JAXB calls this method during unmarshalling.
	 * @param s
	 * @return
	 */
	public static BigDecimal parseAmount(String s)
	{
		return new BigDecimal(s); 
	}
	
	/**
	 * JAXB calls this method during marshalling.
	 * @param amount
	 * @return     
	 */
	public static String printAmount(BigDecimal amount)
	{
		return amount.toString();
	}
		
}
