/*
 * Created on 2004-10-6
 *
 */
package org.fmi.bdi.helpers;

import java.io.StringWriter;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.xml.transform.OutputKeys;
import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.apache.xml.serializer.OutputPropertiesFactory;
import org.w3c.dom.Node;
	
/**
 * @author IvoJekov
 *
 */
public class Utils
{
	private static SimpleDateFormat fFormat 		= new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
	private static SimpleDateFormat fFlatFormat8 = new SimpleDateFormat("yyyyMMdd");
	private static SimpleDateFormat fFlatFormat6 = new SimpleDateFormat("yyMMdd");
	
	/**
	 * Return the representation of a Node as String
	 * @param node
	 * @return
	 * @throws BDIException
	 */
	public static String xmlToString(Node node) throws BDIException
	{	
		try 
		{	    
			Source source = new DOMSource(node);	    
			StringWriter stringWriter = new StringWriter();	    
			Result result = new StreamResult(stringWriter);	    
			TransformerFactory factory = TransformerFactory.newInstance();	    
			Transformer transformer = factory.newTransformer();	    
			transformer.setOutputProperty(OutputKeys.METHOD, "xml");
			transformer.setOutputProperty(OutputKeys.INDENT, "yes");
			transformer.setOutputProperty(OutputPropertiesFactory.S_KEY_INDENT_AMOUNT, "4");
			transformer.transform(source, result);	    
			
			return stringWriter.getBuffer().toString();	
		} 
		catch (TransformerException e) 
		{	    
			throw new BDIException("Unexpected error occured: " + e.getMessage(), e);	
		}
	}
	
	public static String getDateTime(Date d)
	{
		return fFormat.format(d);
	}
	
	public static String getDate8(Date d)
	{
		return fFlatFormat8.format(d);
	}
	
	public static String getDate6(Date d)
	{
		return fFlatFormat6.format(d);
	}
	
}
