/*
 * Created on 2004-8-13
 *
 */
package org.fmi.bdi.parser;

import java.io.FileInputStream;
import java.io.IOException;

import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

/**
 * @author IvoJekov
 *
 *	Resolves DOCTYPE definitions
 */
public class DoctypeEntityResolver implements EntityResolver
{
	// DTD file name
	private String fDTDFileName;

	public DoctypeEntityResolver(String dtdSourceURI) {
		fDTDFileName = dtdSourceURI;
	}
	
	/** 
	 * resolve external entities
	 * @param publicId the public identifier of the external entity being referenced, or null if none was supplied
	 * @param systemId the system identifier of the external entity being referenced
	 * @return an InputSource object describing the new input source,
	 * or null to request that the parser open a regular URI
	 * connection to the system identifier.
	 */
	public InputSource resolveEntity(String publicId, String systemId)
		throws SAXException, IOException
	{
		// return a special input source
		return new InputSource(new FileInputStream(fDTDFileName));
	}

}
