/*
 * Created on 2004-8-8
 *  
 */
package org.fmi.bdi.parser;

import java.util.ArrayList;
import java.util.List;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * @author IvoJekov
 *  
 * Contains the errors, which has occured during document validation
 */
public class ValidationErrorHandler implements ErrorHandler
{
	// errors occured while validating the document
	private List fErrors = new ArrayList();
	
	// errors occured while validating the document
	private List fWarnings = new ArrayList();
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.ErrorHandler#warning(org.xml.sax.SAXParseException)
	 */
	public void warning(SAXParseException exception) throws SAXException
	{
		// TODO Auto-generated method stub
		fWarnings.add(exception);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.ErrorHandler#error(org.xml.sax.SAXParseException)
	 */
	public void error(SAXParseException exception) throws SAXException
	{
		// TODO Auto-generated method stub
		fErrors.add(exception);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xml.sax.ErrorHandler#fatalError(org.xml.sax.SAXParseException)
	 */
	public void fatalError(SAXParseException exception) throws SAXException
	{
		// TODO Auto-generated method stub
		fErrors.add(exception);
		
		throw exception;
	}

	public boolean hasErrors()
	{
		return ! fErrors.isEmpty();
	}
	
	public String getValidationResult()
	{
		StringBuffer sb = new StringBuffer();
		int errCount = fErrors.size();
		
		if (errCount == 0)
		{
			sb.append("\n Document successfully processed.\n");
		}
		else 
		{	
			sb.append("\n" + errCount + " errors occured:\n");
			for (int i = 0; i < errCount; i ++)
			{
				SAXException currErr = (SAXException) fErrors.get(i);
				sb.append("\n\t" + currErr.getMessage());
			}
		}
		
		int warnCount = fWarnings.size();
		if (warnCount > 0)
		{
			sb.append("\n" + warnCount + " warnings occured:\n");
			for (int i = 0; i < warnCount; i ++)
			{
				SAXException currWarn = (SAXException) fWarnings.get(i);
				sb.append("\n\t" + currWarn.getMessage());
			}
		}
		
		return sb.toString();
	}
}
