/*
 * Created on 2004-8-5
 *
 */
package org.fmi.bdi.parser;

import org.fmi.bdi.helpers.BDIException;
import org.xml.sax.SAXException;

/**
 * @author IvoJekov
 * 
 * Used to validate the document against XSD schema
*/
public class XSDValidationParser extends ValidationParser
{

	public XSDValidationParser(String validationSourceURI) throws BDIException
	{
		super(validationSourceURI);
		enableXSDValidation();
	}
	
	private void enableXSDValidation() throws BDIException
	{
		try
		{
			fParser.setFeature(FEATURE_VALIDATION_SCHEMA, true);
			fParser.setFeature(FEATURE_VALIDATION_SCHEMA_FULL_CHECK, true);
			fParser.setProperty(PROPERTY_VALIDATION_SCHEMA_LOCATION, fValidationSourceURI);
		}
		catch (SAXException saxe)
		{
			throw new BDIException("Property not supported", saxe);
		}
	}
}
