/*
 * Created on 2004-10-5
 *
 */
package org.fmi.bdi.tests;

import java.util.Properties;

import org.fmi.bdi.helpers.AppContext;

import junit.framework.TestCase;

/**
 * @author IvoJekov
 *
 */
public class BaseTest extends TestCase
{
	private String driver = "org.postgresql.Driver";
	private String url = "jdbc:postgresql:BDI";
	private String userName = "postgres";
	private String password = "postgres";
	private String ordersPackage = "org.fmi.bdi.commonstandard.orders.jaxb";
	private String uploadDir = "C:/Diploma/Source/bdi/src/upload";
	private String rootValDir = "C:/Diploma/Source/bdi/src/validation";
	
	protected AppContext fContext; 
	
	/**
	 * Setup for the testcase
	 */
	private static int counter = 0;
	protected void setUp() throws Exception
	{
		counter ++;
		System.out.println("Invocation #" + counter);
		
		Properties initProps = new Properties();
		initProps.setProperty(AppContext.PARAM_NAME_DB_DRIVER, driver);
		initProps.setProperty(AppContext.PARAM_NAME_DB_URL, url);
		initProps.setProperty(AppContext.PARAM_NAME_DB_USER, userName);
		initProps.setProperty(AppContext.PARAM_NAME_DB_PASSWORD, password);
		initProps.setProperty(AppContext.PARAM_NAME_JAXB_ORDERS_PACKAGE, ordersPackage);
		initProps.setProperty(AppContext.PARAM_NAME_APP_UPLOAD_DIR, uploadDir);
		initProps.setProperty(AppContext.PARAM_NAME_APP_VAL_ROOT_DIR, rootValDir);
		
		fContext = AppContext.getInstance();
		fContext.init(initProps);
	}
	
}
