/*
 * Created on 2004-10-14
 *
 */
package org.fmi.bdi.web.servlets;

import java.util.Properties;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.fmi.bdi.helpers.AppContext;
import org.fmi.bdi.helpers.BDIException;

/**
 * @author IvoJekov
 *
 * It's only responsibility is to initialize AppContext object.
 * Should be invoked first from underlying Servlet Container.
 * Should be set <load-on-startup>1</load-on-startup> in web.xml for this servlet.
 */
public class InitServlet extends HttpServlet
{
	/**
	 * Initialise AppContext
	 */
	public void init(ServletConfig config) throws ServletException 
	{
		super.init(config);

		try {
			String driver = config.getInitParameter(AppContext.PARAM_NAME_DB_DRIVER);
			String url = config.getInitParameter(AppContext.PARAM_NAME_DB_URL);
			String userName = config.getInitParameter(AppContext.PARAM_NAME_DB_USER);
			String password = config.getInitParameter(AppContext.PARAM_NAME_DB_PASSWORD);
			String ordersPackage = config.getInitParameter(AppContext.PARAM_NAME_JAXB_ORDERS_PACKAGE);
			String uploadDir = config.getInitParameter(AppContext.PARAM_NAME_APP_UPLOAD_DIR);
			String rootValDir = config.getInitParameter(AppContext.PARAM_NAME_APP_VAL_ROOT_DIR);
			
			Properties initProps = new Properties();
			initProps.setProperty(AppContext.PARAM_NAME_DB_DRIVER, driver);
			initProps.setProperty(AppContext.PARAM_NAME_DB_URL, url);
			initProps.setProperty(AppContext.PARAM_NAME_DB_USER, userName);
			initProps.setProperty(AppContext.PARAM_NAME_DB_PASSWORD, password);
			initProps.setProperty(AppContext.PARAM_NAME_JAXB_ORDERS_PACKAGE, ordersPackage);
			initProps.setProperty(AppContext.PARAM_NAME_APP_UPLOAD_DIR, uploadDir);
			initProps.setProperty(AppContext.PARAM_NAME_APP_VAL_ROOT_DIR, rootValDir);
			
			AppContext.getInstance().init(initProps);
			
		} 
		catch (BDIException e) {
			throw new ServletException("Configuration error: " + e.getMessage(), e);
		}
	}
	
}
