begin;

-- populate TD_VALIDATION_TYPE
insert into "TD_VALIDATION_TYPE" ("VALIDATION_TYPE_ID", "CODE", "DESCR")
values (1, 'NONE', 'This validation type is used from source systems, which do not require validation');

insert into "TD_VALIDATION_TYPE" ("VALIDATION_TYPE_ID", "CODE", "DESCR")
values (2, 'XSD', 'XML Schema is used as validation source');

insert into "TD_VALIDATION_TYPE" ("VALIDATION_TYPE_ID", "CODE", "DESCR")
values (3, 'DTD', 'No XML Schema available for corresponding source system, DTD is used as validation source');

insert into "TD_VALIDATION_TYPE" ("VALIDATION_TYPE_ID", "CODE", "DESCR")
values (4, 'JAVA_CLASS', 'Java class, which implement some predefined interface, is used for validation. Could be used for flat files validation');


-- populate TD_DOCUMENT_TYPE
insert into "TD_DOCUMENT_TYPE" ("DOCUMENT_TYPE_ID", "CODE", "NAME", "DESCR")
values (1, 'PURCHASE_ORDER', 'Purchase Order', 'Corresponding document is a Purchase Order');

insert into "TD_DOCUMENT_TYPE" ("DOCUMENT_TYPE_ID", "CODE", "NAME", "DESCR")
values (2, 'ORDER_RESPONSE', 'Order Response', 'Corresponding document is a Order Response(Acknowledgement)');

insert into "TD_DOCUMENT_TYPE" ("DOCUMENT_TYPE_ID", "CODE", "NAME", "DESCR")
values (3, 'INVOICE', 'Invoice', 'Corresponding document is an Invoice');

insert into "TD_DOCUMENT_TYPE" ("DOCUMENT_TYPE_ID", "CODE", "NAME", "DESCR")
values (4, 'OTHER', 'Other', 'Other document type, used if none of the above types is suitable for this document');


-- populate TD_MESSAGE_TYPE
insert into "TD_MESSAGE_TYPE" ("MESSAGE_TYPE_ID", "CODE", "DESCR")
values (1, 'INCOMING', 'Specify messages, which go into the BDI application');

insert into "TD_MESSAGE_TYPE" ("MESSAGE_TYPE_ID", "CODE", "DESCR")
values (2, 'INTERNAL', 'Specify messages in the internal format of the BDI application');

insert into "TD_MESSAGE_TYPE" ("MESSAGE_TYPE_ID", "CODE", "DESCR")
values (3, 'OUTGOING', 'Specify messages, which leave the BDI application');


-- populate TD_RELATION_TYPE
insert into "TD_RELATION_TYPE" ("RELATION_TYPE_ID", "CODE", "DESCR")
values (1, 'TRANSFORMED', 'Child message reflect the transormed into internal format parent message');

-- populate TD_MESSAGE_RELATION
insert into "TD_RELATION_TYPE" ("RELATION_TYPE_ID", "CODE", "DESCR")
values (2, 'RESPONSE_TO', 'Child message is some kind of response to the parent message, more precisely acknowledgement message');

-- populate TD_MESSAGE_RELATION
insert into "TD_RELATION_TYPE" ("RELATION_TYPE_ID", "CODE", "DESCR")
values (3, 'INVOICE_TO', 'Child message is an invoice to the parent message');


-- commit changes
commit;