begin;

-- RossetaNet section
-- populate T_SOURCE_SYSTEM
insert into "T_SOURCE_SYSTEM" ("SOURCE_SYSTEM_ID", "NAME", "VERSION", "DESCR", "WEB_SITE")
values (1, 'RosettaNet', 'v.02_02', 'RosettaNet, common XML standart for business message exchange', 'http://www.rosettanet.org/');


-- populate T_TRANSFORMER
insert into "T_TRANSFORMER" ("TRANSFORMER_ID", "JAVA_CLASS_NAME", "DESCR")
values (1, 'org.fmi.bdi.transformer.order.RosettaNetTransformer', 'Used to transform RosettaNet 3A4 message into the internal message format');


-- populate T_DOCUMENT with RossetaNet RequestPurchaseOrder message, validated through XSD
insert into "T_DOCUMENT" ("DOCUMENT_ID", "SOURCE_SYSTEM_ID", "DOCUMENT_TYPE_ID", "VALIDATION_TYPE_ID", "VALIDATION_SOURCE", "TRANSFORMER_ID")
values (1, 1, 1, 2, 'RosettaNet/3A4_MS_V02_02_PurchaseOrderRequest.xsd', 1);



-- cXML section
-- populate T_SOURCE_SYSTEM
insert into "T_SOURCE_SYSTEM" ("SOURCE_SYSTEM_ID", "NAME", "VERSION", "DESCR", "WEB_SITE")
values (2, 'cXML', 'v1.0', 'cXML, common XML standart for business message exchange', 'http://www.cxml.org/');


-- populate T_TRANSFORMER
insert into "T_TRANSFORMER" ("TRANSFORMER_ID", "JAVA_CLASS_NAME", "DESCR")
values (2, 'org.fmi.bdi.transformer.order.CXMLTransformer', 'Used to transform cXML PurchaseOrder message into the internal message format');


-- populate T_DOCUMENT with RossetaNet RequestPurchaseOrder message, validated through XSD
insert into "T_DOCUMENT" ("DOCUMENT_ID", "SOURCE_SYSTEM_ID", "DOCUMENT_TYPE_ID", "VALIDATION_TYPE_ID", "VALIDATION_SOURCE", "TRANSFORMER_ID")
values (2, 2, 1, 3, 'cXML/cXML.dtd', 2);



-- OAGIS section


-- xCBL section




-- commit changes
commit;

